Subject: [mpls-tp] FW: mpls wg last call on draft-ietf-mpls-tp-data-plane-01.txt

From: Scott Mansfield <[email-masked]>
Date: Sun, 21 Mar 2010 17:03:26 -0400

Thanks, here are a few comments on the data-plane draft...

1) Definition of "data plane"
The definition and usage of the term "data plane" is not consistent throughout the MPLS-TP documents.  This document should provide the reference definition of "data plane".  The current definition given...

"MPLS-TP data plane: the architectural layer concerned with the encapsulation and forwarding of packets within an MPLS-TP network."

That definition doesn't provide a clear and unambiguous definition and doesn't help the ITU-T reader to understand what is meant by "data plane".  The term "architectural layer" is of particular concern.

I suggest equating the MPLS-TP data plane with the definition of "transport plane" as defined in G.8081 or as discussed in G.800.  "The transport plane provides bidirectional or unidirectional transfer of user information from one location to another.  It can also provide transfer of some control and network management information". 

2) In the scope, explicitly saying that this document will provide the definition for "data plane" that will be used for MPLS-TP documents would be appropriate.

3) (Section 2 second paragraph)...  The MPLS-TP packet encap and forwarding also operates according to the requirements in RFC 5654.  For clarity and completeness that reference should be added to the paragraph.

4) (Section 3.1.1) The says:  ECMP is "outside the scope of MPLS-TP"...  Shouldn't that explicitly say that ECMP must not be used?  Saying it is outside the scope of MPLS-TP says to me that there will be nothing specified that is MPLS-TP specific.  I thought this issue was that ECMP shouldn't be used if you are deploying a transport profile of MPLS.

5) (Section 4) RFC5586 talks about "user-plane" things, is that the same as the "data-plane" things talked about in this document?

---

From: Alexander Vainshtein <[email-masked]>
Date: Mon, 22 Mar 2010 07:32:30 +0200

Scott, 
You've asked:
      (Section 4) RFC5586 talks about "user-plane" things, is that the same as the "
      data-plane" things talked about in this document?
A good question. IMHO and FWIW, the answer is NO.

"User plane" refers to MPLS-TP packets carrying clients. There are also OAM packets and, possibly, DCN packets.
And all of these run over the same data plane, i.e., use the same encapsulation and forwarding procedures.
This is implied by the requirement of "inband" (a.k.a. fate-sharing) OAM.

I think that the definition given in the draft ("the architectural layer concerned with the encapsulation and 
forwarding of packets within an MPLS-TP network") correctly reflects the intentions of the Editors and
the content of the draft. But I cannot say whether it can be mapped to a somewhat vague definition of the transport
plane I've found in G.8081 (06/04):

     3.2.56 transport plane: The transport plane provides bidirectional or unidirectional transfer of
     user information, from one location to another. It can also provide transfer of some control and
     network management information. The transport plane is layered; it is equivalent to the "Transport
     Network" defined in ITU-T Rec. G.805.

In particular, the MPLS-TP data plane is NOT bi-directional per se (even if it can be used by bi-directional LSPs), since
there is no preferred or predefined return path. (I've asked the Editors to clarify this point in one of my WL LC commands on the draft).

My 2c,
     Sasha

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Scott Mansfield [[email-masked]]
Sent: Sunday, March 21, 2010 11:03 PM
To: [email-masked]
Subject: [mpls-tp] FW: mpls wg last call on     draft-ietf-mpls-tp-data-plane-01.txt

5) (Section 4) RFC5586 talks about "user-plane" things, is that the same as the "data-plane" things talked about in this document?
_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp